import 'package:easy_localization/easy_localization.dart';
import 'package:flutter/material.dart';
import 'package:krow/core/presentation/styles/kw_box_decorations.dart';
import 'package:krow/core/presentation/styles/kw_text_styles.dart';
import 'package:krow/core/presentation/styles/theme.dart';
import 'package:krow/core/presentation/widgets/shift_payment_step_widget.dart';
import 'package:krow/features/shifts/domain/shift_entity.dart';

class ShiftPaymentStepCardWidget extends StatelessWidget {
  final ShiftEntity viewModel;

  const ShiftPaymentStepCardWidget({super.key, required this.viewModel});

  @override
  Widget build(BuildContext context) {
    return Container(
      padding: const EdgeInsets.all(12.0),
      margin: const EdgeInsets.only(left: 16, right: 16, top: 8),
      decoration: KwBoxDecorations.primaryLight12,
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          Text(
            'payment_status'.tr().toUpperCase(),
            style: AppTextStyles.captionReg
                .copyWith(color: AppColors.blackCaptionText),
          ),
          const ShiftPaymentStepWidget(currentIndex: 1),
        ],
      ),
    );
  }
}
